#!/bin/bash
# Instalation script for ${THEMENAME} moinmoin theme.

# Define here the name of your wiki instance.
# WARNING: The wiki instance name must be different from 'wiki'.
#    +- Well, that's not true at all. I have modified wikiconfig.py and
#	this installation script to support aliases with the wiki word 
# 	as instance. 
#
# Now the default configuration in this install script is an Apache
# alias named 'wiki'. In this configuration you can access the wiki content
# with the url http://localhost/wiki/. If you want to make the wiki your
# default site in the url http://localhost/, then you need to include an
# html file into /var/www/html/ named index.html with an immediatly redirect 
# to the url http://localhost/wiki/.
WIKIINSTANCE=wiki

# Define here the path where your wiki instance live
WIKIINSTANCEPATH=/var/www/

# Define here wiki name
WIKINAME=CentOS

# Define theme name
THEMENAME=modern-$WIKINAME

# Copy files

cp -vr ${THEMENAME}/ ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/
cp -v ${THEMENAME}.py ${WIKIINSTANCEPATH}${WIKIINSTANCE}/data/plugin/theme/
cp -v ${THEMENAME}-logo.png ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/common/

# Adjust permissions

chown -vR apache.apache ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/${THEMENAME}/
chown -vR apache.apache ${WIKIINSTANCEPATH}${WIKIINSTANCE}/data/plugin/theme/${THEMENAME}.py
chown -vR apache.apache ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/common/${THEMENAME}-logo.png
chmod -vR 750 ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/${THEMENAME}/
chmod -vR 750 ${WIKIINSTANCEPATH}${WIKIINSTANCE}/data/plugin/theme/${THEMENAME}.py
chmod -vR 750 ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/common/${THEMENAME}-logo.png

# Modify wikiconfig.py

sed -i -e "
	/sitename/s/Untitled Wiki/CentOS Wiki/
	/logo_string/{
	s/moinmoin.png/${THEMENAME}-logo.png/
	s/MoinMoin Logo/CentOS/
	}
	/theme_default/s/'modern'/'${THEMENAME}'/
	/FrontPage/s/#page_front_page/page_front_page/
	" ${WIKIINSTANCEPATH}${WIKIINSTANCE}/cgi-bin/wikiconfig.py

# Done

echo ''
echo "*** The ${THEMENAME} moinmoin theme is now installed! ***";
echo ''
